import { GameLogicMgr } from "./logic";


export class GameLogic extends cc.Component {
    protected update(dt: number): void {
        if (GameLogicMgr.inst.isGamePause) return;
        this.gameUpdate(dt);
    }

    protected gameUpdate(dt: number): void {
    };
}
